diff -r 68f8d295be49 src/syssignal.h
--- a/src/syssignal.h	Wed Jan 23 11:48:46 2013 -0700
+++ b/src/syssignal.h	Mon Feb 04 07:33:09 2013 +0100
@@ -267,7 +267,7 @@
    configure incorrectly fails to find it, so s/linux.h defines
    HAVE_SYS_SIGLIST. */
 #if (!defined(HAVE_DECL_SYS_SIGLIST) || !HAVE_DECL_SYS_SIGLIST ) && !defined (HAVE_SYS_SIGLIST)
-extern const char *sys_siglist[];
+// extern const char *sys_siglist[];
 #endif
 
 #ifdef SIGDANGER
diff -r 68f8d295be49 src/syswindows.h
--- a/src/syswindows.h	Wed Jan 23 11:48:46 2013 -0700
+++ b/src/syswindows.h	Mon Feb 04 07:33:09 2013 +0100
@@ -443,6 +443,7 @@
 
 #endif /* not NMCBEDRAGBEGIN */
 
+#if W32API_INSTALLED_VER < W32API_VER(3,14)
 typedef struct tagNMDATETIMEFORMATA
 {
   NMHDR nmhdr;
@@ -460,6 +461,7 @@
   LPCWSTR pszDisplay;
   WCHAR szDisplay[64];
 } NMDATETIMEFORMATW, FAR * LPNMDATETIMEFORMATW;
+#endif
 
 #if W32API_INSTALLED_VER < W32API_VER(2,2)
 
@@ -555,6 +557,7 @@
 #define OIC_WINLOGO         32517
 #endif
 
+#if W32API_INSTALLED_VER < W32API_VER(3,14)
 /* More Cygwin stupidity: Current w32api's winuser.h has IME message
    constants and they conflict with imm.h. (NOTE: Currently fixed, but
    I'm sure the problems were present post 1.0.) */
@@ -570,6 +573,7 @@
 #undef WM_IME_CHAR
 #undef WM_IME_KEYDOWN
 #undef WM_IME_KEYUP
+#endif
 
 #include <imm.h>
 
@@ -585,6 +589,10 @@
 typedef LPCDLGTEMPLATE LPCDLGTEMPLATEW;
 typedef LPCDLGTEMPLATE LPCDLGTEMPLATEA;
 
+#if W32API_VER(3,14) <= W32API_INSTALLED_VER
+typedef LPCVOID PCVOID;
+#endif
+
 #else /* !CYGWIN_HEADERS */
 
 #define W32API_VER(major,minor) 0
